
package com.experian.uk.wasp;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.9-b130926.1035
 * Generated source version: 2.2
 * 
 */
@WebService(name = "TokenServiceSoap", targetNamespace = "http://www.uk.experian.com/WASP/")
@XmlSeeAlso({
    ObjectFactory.class
})
public interface TokenServiceSoap {


    /**
     * 
     * @param authenticationBlock
     * @return
     *     returns java.lang.String
     */
    @WebMethod(operationName = "STS", action = "http://www.uk.experian.com/WASP/STS")
    @WebResult(name = "STSResult", targetNamespace = "http://www.uk.experian.com/WASP/")
    @RequestWrapper(localName = "STS", targetNamespace = "http://www.uk.experian.com/WASP/", className = "com.experian.uk.wasp.STS")
    @ResponseWrapper(localName = "STSResponse", targetNamespace = "http://www.uk.experian.com/WASP/", className = "com.experian.uk.wasp.STSResponse")
    public String sts(
        @WebParam(name = "authenticationBlock", targetNamespace = "http://www.uk.experian.com/WASP/")
        String authenticationBlock);

}
